API Reference
End-of-Day Reports
Daily control ledger and EOD reports.
5 endpoints· Auth: JWT or API Key
get
/api/v1/console/loss/eod-reports JWT API KeyGet eod-reports
Query parameters
| From string (date) | — |
| To string (date) | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/loss/eod-reports" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/loss/eod-reports JWT API KeyCreate eod-reports
Request body
application/json
{
"businessDate": "2026-09-30",
"grossSalesIqd": 0,
"netSalesIqd": 0,
"cashSalesIqd": 0,
"cardSalesIqd": 0,
"qiSalesIqd": 0,
"deliverySalesIqd": 0,
"source": "string"
}| businessDate string (date) | — |
| grossSalesIqd integer (int64) | — |
| netSalesIqd integer (int64) | — |
| cashSalesIqd integer (int64) | — |
| cardSalesIqd integer (int64) | — |
| qiSalesIqd integer (int64) | — |
| deliverySalesIqd integer (int64) | — |
| source string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/loss/eod-reports" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"businessDate": "2026-09-30",
"grossSalesIqd": 0,
"netSalesIqd": 0,
"cashSalesIqd": 0,
"cardSalesIqd": 0,
"qiSalesIqd": 0,
"deliverySalesIqd": 0,
"source": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/loss/eod-reports/{id} JWT API KeyGet id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/loss/eod-reports/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
put
/api/v1/console/loss/eod-reports/{id} JWT API KeyUpdate id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"grossSalesIqd": 0,
"netSalesIqd": 0,
"cashSalesIqd": 0,
"cardSalesIqd": 0,
"qiSalesIqd": 0,
"deliverySalesIqd": 0,
"source": "string"
}| grossSalesIqd integer (int64) | — |
| netSalesIqd integer (int64) | — |
| cashSalesIqd integer (int64) | — |
| cardSalesIqd integer (int64) | — |
| qiSalesIqd integer (int64) | — |
| deliverySalesIqd integer (int64) | — |
| source string | — |
Responses
200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/loss/eod-reports/{id}" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"grossSalesIqd": 0,
"netSalesIqd": 0,
"cashSalesIqd": 0,
"cardSalesIqd": 0,
"qiSalesIqd": 0,
"deliverySalesIqd": 0,
"source": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
post
/api/v1/console/loss/eod-reports/parse JWT API KeyCreate parse
Request body
application/json
{
"text": "string"
}| text string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/loss/eod-reports/parse" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"text": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu